#ifndef CONSOLEH
#define CONSOLEH

#undef LPTR
#include <windows.hxx>

#define export
#define import extern
#define local  static

#define MAX_LINES 100

class Console
{
protected:
static  BOOL    registered;
        HWND    handle;
public:
        LOGFONT font;
        DWORD   background;
        DWORD   foreground;
        WORD    textHeight;
        int     firstLine;
        int     count;
        HANDLE  text   [MAX_LINES];
        int     length [MAX_LINES];

         Console(LPSTR caption="A C++ Console");
         ~Console();
   void  show(short mode = SW_SHOWNORMAL);
   void  update();
   BOOL  valid()  { return (handle != NULL);  }
   int   runModeless();
   Console& operator << (LPSTR t);
   Console& operator << (char c);
   Console& operator << (int i);
   Console& operator << (long l);
   Console& operator << (WORD i);
   Console& operator << (DWORD l);
   Console& operator << (double d);
   void  newLine();
};

#endif

