/* crt support function header file */


#ifdef LINT_ARGS	/* argument checking enabled */

#ifndef NO_EXT_KEYS	/* extended keywords are enabled */

void cdecl crt_cls( void );
void cdecl crt_home( int );
int cdecl crt_get_mode( void );
int cdecl crt_get_page( );
void cdecl crt_line( int, int, int, int, int );
void cdecl crt_place_cursor( int, int, int );
int cdecl crt_read_pixel( int, int, int );
void cdecl crt_scroll( int, int, int, int, int );
void cdecl crt_set_mode( int );
void cdecl crt_set_page( int );
void cdecl crt_where( int *, int *, int );
void cdecl crt_write_pixel( int, int, int );

#else			/* extended keywords not enabled */

void crt_cls( void );
void crt_home( int);
int crt_get_mode( void );
int crt_get_page( );
void crt_line( int, int, int, int, int );
void crt_place_cursor( int, int, int );
int crt_read_pixel( int, int, int );
void crt_scroll( int, int, int, int, int );
void crt_set_mode( int );
void crt_set_page( int );
void crt_where( int *, int *, int );
void crt_write_pixel( int, int, int );

#endif	/* NO_EXT_KEYS */

#else			/* no argument checking */

#ifndef NO_EXT_KEYS	/* extended keywords are enabled */

void cdecl crt_cls( );
void cdecl crt_home( );
int cdecl crt_get_mode( );
int cdecl crt_get_page( );
void cdecl crt_line( );
void cdecl crt_place_cursor( );
int cdecl crt_read_pixel( );
void cdecl crt_scroll( );
void cdecl crt_set_mode( );
void cdecl crt_set_page( );
void cdecl crt_where( );
void cdecl crt_write_pixel( );

#else			/* extended keywords not enabled */

void crt_cls( );
void crt_home( );
int crt_get_mode( );
int crt_get_page( );
void crt_line( );
void crt_place_cursor( );
int crt_read_pixel( );
void crt_scroll( );
void crt_set_mode( );
void crt_set_page( );
void crt_where( );
void crt_write_pixel( );

#endif	/* NO_EXT_KEYS */

#endif	/* LINT_ARGS */
