#include <prt.h>

int prt_error( port ) int port;
{
    int status;
    
    status = prt_status( port );

    /* check if off-line */
    if( ( status & 0x10 ) == 0 ) return( 1 );
    
    /* check if out of paper, I/O error, or timed out */
    if( status & ( 0x20 | 0x8 | 0x1 ) ) return( 1 );
    
    return( 0 );
}
