/*---------------------------------------------------------------------------
 |  Function prototypes for MSCHRT V2.00                                    |
 |                                                                          |
 |  (c)1988 Ryle Design, P.O. Box 22, Mt. Pleasant, Michigan 48804          |
 ---------------------------------------------------------------------------*/

void t_start(void);
void t_stop(void);
void t_calib(void);
void t_entry(int timernum);
void t_exit(int timernum);
void t_name(int timernum, char* timername);
void t_report(int whereto);

/* V2.00 enhancements */

void t_fname(char *filename);
void t_rname(char *report_name);
void t_reset(int tnum);
void t_ask_timer(int tnum, long unsigned *hits, long unsigned *elapsed);
void t_suspend(int tnum);
void t_resume(int tnum);


/* end mschrt.h */
