/*  ISAM test program.  This program will serve to test the ISAM library     */
/*  functions we have created, and, when successfully executed, should serve */
/*  as a model for any future programs incorporating the ISAM libraries.     */
#include "rarisam.c"
char name[21] = " ";
char phone_area[4] = " ";
char phone_exchange[4] = " ";
char phone_body[5] = " ";
Db_Obj *phone_database;
Index_Obj *phone_index;
char *phone_format[] = {
    "name",
    "area code",
    "exchange",
    "body number",
    NULL
};

char *phone_index_format[] = {
    "name",
    NULL
};

main()
{
    isam_create(&phone_database, "phone", phone_format, &phone_index,
        "name", phone_index_format);
    strcpy(name, "Bill");
    strcpy(phone_area, "809");
    strcpy(phone_exchange, "424");
    strcpy(phone_body, "4392");
    point_to_data_fields();
    isam_save(phone_database, phone_index);
    strcpy(name, "Dean");
    strcpy(phone_area, "703");
    strcpy(phone_exchange, "698");
    strcpy(phone_body, "0347");
    point_to_data_fields();
    isam_save(phone_database, phone_index);
    strcpy(name, "Ron");
    strcpy(phone_area, "202");
    strcpy(phone_exchange, "581");
    strcpy(phone_body, "7443");
    point_to_data_fields();
    isam_save(phone_database, phone_index);
    isam_close(phone_database);
}


point_to_data_fields()
{
    *(fields + 0) = name;
    *(fields + 1) = phone_area;
    *(fields + 2) = phone_exchange;
    *(fields + 3) = phone_body;
}


