/* header file for com.c -- COM: port support functions */

#ifdef LINT_ARGS	/* argument checking enabled */

#ifndef NO_EXT_KEYS	/* extended keywords are enabled */

unsigned cdecl char com_getc(int );
unsigned cdecl int com_putc( int, unsigned char );
int cdecl com_ready(int );
int cdecl com_init(int ,int ,int ,int ,int );
int cdecl com_stat(int );

#else			/* extended keywords not enabled */

unsigned char com_getc(int );
unsigned int com_putc( int, unsigned char );
int com_ready(int );
int com_init(int ,int ,int ,int ,int );
int com_stat(int );

#endif	/* NO_EXT_KEYS */

#else			/* no argument checking */

#ifndef NO_EXT_KEYS	/* extended keywords are enabled */

unsigned cdecl char com_getc( );
unsigned cdecl int com_putc( );
int cdecl com_ready( );
int cdecl com_init( );
int cdecl com_stat( );

#else			/* extended keywords not enabled */

unsigned char com_getc( );
unsigned int com_putc( );
int com_ready( );
int com_init( );
int com_stat( );

#endif	/* NO_EXT_KEYS */

#endif	/* LINT_ARGS */
