/* Parallel port & printer support functions forMicrosoft C */

#ifdef LINT_ARGS	/* argument checking enabled */

#ifndef NO_EXT_KEYS	/* extended keywords are enabled */

int cdecl prt_busy( int );
int cdecl prt_err( int );
int cdecl prt_putc( int, char );
int cdecl prt_init( int );
void cdecl prt_screen( void );
int cdecl prt_status( int );

#else			/* extended keywords not enabled */

int prt_busy( int );
int prt_err( int );
int prt_putc( int, char );
int prt_init( int );
void prt_screen( void );
int prt_status( int );

#endif	/* NO_EXT_KEYS */

#else			/* no argument checking */

#ifndef NO_EXT_KEYS	/* extended keywords are enabled */

int cdecl prt_busy( );
int cdecl prt_err( );
int cdecl prt_putc( );
int cdecl prt_init( );
void cdecl prt_screen( );
int cdecl prt_status( );

#else			/* extended keywords not enabled */

int prt_busy( );
int prt_err( );
int prt_putc( );
int prt_init( );
void prt_screen( );
int prt_status( );

#endif	/* NO_EXT_KEYS */

#endif	/* LINT_ARGS */

