/* dskbytes.c       By Tom Harrold      Wed. DEC. 7, 1988
*/

/* This program displays information about the default drive.
*/

#include <dos.h>
#include <stdio.h>

main()
{
    struct diskfree_t drive;
    double a;

/* get information on default disk drive 0 */

    _dos_getdiskfree (0, &drive);


    printf("total clusters: %d\n", drive.total_clusters);


    printf("available clusters: %d\n", drive.avail_clusters);


    printf("sectors per cluster: %d\n", drive.sectors_per_cluster);


    printf("bytes per sector: %d\n", drive.bytes_per_sector);


    a = drive.avail_clusters * drive.sectors_per_cluster;


    a *= drive.bytes_per_sector;


    printf("bytes free on current disk: %7.0f\n", a);
}



