/* Library FILEMISC.H: Miscellaneous file service functions that extends
	Quick C
--------------------------------------------------------------------------

  _chmod(): Stretched version of Quick C chmod function
Changes a named file to any attribute except label and directory.

Returns 0 if successful, -1 if not, and gets global variable errno when
unsuccessful.

*/

int _chmod (char far *path, int new_attrib);


/*

timestamp(): Converts the DOS file time stamp into:
	1. A formatted string of 12 chars (hh:mm:ss ?m)
	2. Its hour, min, and sec numric components
For any component not to be converted, pass NULL arg

*/

void timestamp (unsigned field,
	char *string, unsigned *hour,
	unsigned *min, unsigned *sec);


/*

datestamp(): Converts the DOS file date stamp into:
	1. A formatted string of 11 chars (mm/dd/yyyy)
	2. Its month, day, and year numric components
For any component not to be converted, pass NULL arg

*/

void datestamp (unsigned field,
	char *string, unsigned *year,
	unsigned *month, unsigned *day);

